--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: method
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: stubbee
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: Mocha::ClassMethod
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: define_new_method
- !ruby/object:RI::MethodSummary 
  name: eql?
- !ruby/object:RI::MethodSummary 
  name: hidden_method
- !ruby/object:RI::MethodSummary 
  name: hide_original_method
- !ruby/object:RI::MethodSummary 
  name: mock
- !ruby/object:RI::MethodSummary 
  name: remove_new_method
- !ruby/object:RI::MethodSummary 
  name: restore_original_method
- !ruby/object:RI::MethodSummary 
  name: stub
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: unstub
name: ClassMethod
superclass: Object
